//
//	MiscValueConnectInspector.h -- an IBInspector that is used to connect
//                                     a MiscValueCell to an arbitrary object
//                                     as a generic delegate.
//		Written by David Fedchenko (c) 1994 by David Fedchenko.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "MiscValueField.subproj/MiscValueField.h"
#import "MiscValueField.subproj/MiscValueCell.h"

// Category of MiscValueField that does the connections-specific stuff
@interface MiscValueField (ConnectionsInspector)

-(const char *)getConnectInspectorClassName;

@end

// Category of MiscValueCell that does the connections-specific stuff
@interface MiscValueCell (ConnectionsInspector)

-(const char *)getConnectInspectorClassName;

@end

// Connection inspector for the SwitchView class
@interface MiscValueConnectInspector:IBInspector
    {
    id idClassName;
    id idButton;
    id (idConnector);
    }

- init;
- ok:sender;
- revert:sender;
- (BOOL)wantsButtons;

- findConnection;
- showLine:sender;
- setCName:anObject;

@end
