//
//	MiscValueConnector.h -- an IBConnector that is used to allow a
//                              MiscValueCell to have a connection other
//                              than the standard three.
//		Written by David Fedchenko (c) 1994 by David Fedchenko.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <objc/Object.h>
#import <apps/InterfaceBuilder.h>

// An IB-Connector conforming object to hold our connections
@interface MiscValueConnector:Object <IBConnectors>
    {
    id  idSource;
    id  idDest;
    }

- setSource:anObject;
- setDestination:anObject;
- source;
- destination;
- label;
- establishConnection;
- nibInstantiate;
- renewObject:old to:new;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- free;

@end
